Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepNoBlocking Property
DatabaseEnvironment Class See Also Send Feedback

If true, Berkeley DB method calls that would normally block while clients are in recovery will return errors immediately (defaults to false).

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public bool RepNoBlocking { get; set; }

Visual Basic (Declaration)
    Public Property RepNoBlocking As Boolean

Visual C++
    public:
    property bool RepNoBlocking {
    	bool get ();
    	void set (bool value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace